%define  ver     @-VERSION-@
%define  rel     1
%define  prefix  /usr

Summary: scientific calculator
Name: 		rcalc
Version: 	%ver
Release: 	%rel
Copyright: 	GPL
Group: 		Applications/Math
Source:		%{name}-%{ver}.tar.gz
Url:		http://rcalc.sourceforge.net/
BuildRoot:	/var/tmp/%{name}-%{PACKAGE_VERSION}-root
Docdir: 	%{prefix}/doc

Requires: gtk+ >= 2.0.0
Requires: gnome-libs >= 2.0.0

%description
rcalc is a scientific calculator for the GNOME 2 desktop environment. It
aims to occupy the middle ground between simple `point-and-click' 
calculators and full featured mathematical packages, and hopefully take
some of the best of both worlds. 

%prep
%setup

%build
./configure --prefix=%prefix

if [ "$SMP" != "" ]; then
	make -j$SMP "MAKE=make -j$SMP"
else
	make
fi

strip src/rcalc

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

make prefix=$RPM_BUILD_ROOT%{prefix} install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%{prefix}/bin/*
%{prefix}/man/*/*
%{prefix}/share/gnome/apps/Utilities/*
%{prefix}/share/gnome/help/*/*/*
%{prefix}/share/locale/*/*/*
%doc README AUTHORS COPYING ChangeLog NEWS TODO
